Package com.independentsoft.office.spreadsheet.extensions

# Class X14DifferentialFormats

java.lang.Object
com.independentsoft.office.spreadsheet.extensions.X14DifferentialFormats

All Implemented Interfaces:
  `IExtensionContent`

public class X14DifferentialFormats extends Object implements IExtensionContent
Represents the differential formats extension (`x14:dxfs` element) of a stylesheet. The `x14:dxf` children reuse the main-namespace CT_Dxf content model.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `X14DifferentialFormats()`
  Instantiates a new x14 differential formats.
  `X14DifferentialFormats​(InternalXMLStreamReader reader)`
  Instantiates a new x14 differential formats.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `X14DifferentialFormats`
  `clone()`
  Clone.
  `List<Format>`
  `getFormats()`
  Gets the differential formats.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### X14DifferentialFormats

    public X14DifferentialFormats()
    Instantiates a new x14 differential formats.

  - ### X14DifferentialFormats

    public X14DifferentialFormats​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new x14 differential formats.

    Enters positioned ON the `x14:dxfs` start element and leaves positioned ON its end element, so the caller's loop advances past it.

    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the XML stream exception

- ## Method Details

  - ### clone

    public X14DifferentialFormats clone()
    Description copied from interface: `IExtensionContent`
    Clone.
    Specified by:
      `clone` in interface `IExtensionContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      the extension content

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFormats

    public List<Format> getFormats()
    Gets the differential formats.
    Returns:
      the formats